USE [Database]

IF OBJECT_ID('[Procedures].[insert_supplier]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[insert_supplier];
GO
CREATE PROCEDURE [Procedures].[insert_supplier]
  @name					AS NVARCHAR(128),
  @address				AS NVARCHAR(128),
  @telephone_number		AS NVARCHAR(128),
  @inserted_supplier_id AS INT = NULL OUTPUT
AS
  BEGIN TRANSACTION;
    INSERT INTO [Tables].[suppliers]([name], [address], [telephone_number])
    VALUES (@name, @address, @telephone_number);
    SET @inserted_supplier_id = SCOPE_IDENTITY();
  COMMIT TRANSACTION;
GO